WordPress.org

Ready to get started?Download WordPress

Forums

Polldaddy Polls & Ratings
[resolved] Ver. 2.0.14 triggered a fatal error and could not be activat (10 posts)

  1. halfey
    Member
    Posted 2 years ago #

    I upgraded to ver. 2.0.14 just now and got this error:

    Fatal error: Cannot redeclare polldaddy_link() (previously declared in /home/content/42/8754842/html/wp-content/plugins/jetpack/modules/shortcodes/polldaddy.php:158) in /home/content/42/8754842/html/wp-content/plugins/polldaddy/polldaddy-org.php on line 833

    Previously the error caused my blog completely unable to load right after I reactivated it (I always deactivate plugins before upgrading them). Because of that I deleted the folder and tried reinstalling again. This time I still got the same error but instead of making my blog unable to load it displayed this message as well:

    "Plugin could not be activated because it triggered a fatal error."

    FYI I'm using WP 3.4.1.

    http://wordpress.org/extend/plugins/polldaddy/

  2. 5ngua
    Member
    Posted 2 years ago #

    me too. This is a nightmare. Anyone please tell us how to fix this.

  3. Linesh Jose
    Member
    Posted 2 years ago #

    I had the same problem. I think, this is because Polldaddy is redeclaring the same function, polldaddy_link(), that Jetpack has already declared. I deleted Polldaday plugin and my polls are working fine. If you don't like to delete Polldaddy plugin, just deactivate your Jetpack plugin and re install it. You can't run both now

  4. Ed
    Member
    Posted 2 years ago #

    Same issue on WPMS 3.4.1 with JetPack network activated, gone back to 2.0.13 for now.

    http://downloads.wordpress.org/plugin/polldaddy.2.0.13.zip

  5. halfey
    Member
    Posted 1 year ago #

    The problem now is I wanted to use both JetPack and Polldaddy plugins. I'm not sure how polls work with JetPack only because I don't see a way to add a poll to my new posts anymore now that I deleted Polldaddy. Also is it just me here or is there really no poll configuration in JetPack? If it isn't there then I don't see any reason to declare the function in JetPack. They should have just let Polldaddy alone taking care of it, or just merge it completely into JetPack.. I guess I'll just use the older version 2.0.13 again.

  6. PollDaddy and Jetpack (latest and greatest) are running fine for me together on two sites.

    What other plugins are you using?

  7. Mattk72
    Member
    Posted 1 year ago #

    Also getting a fatal error message on any plugin I try to activate. Fresh install of the latest version.

  8. Ed Gray
    Member
    Posted 1 year ago #

    My site failed to load just after updating the polldaddy plugin which appears to have triggered the following PHP Fatal Error:

    [12-Jul-2012 16:40:34 UTC] PHP Fatal error: Call to undefined function wp_get_current_user() in /var/www/vhosts/mydomainname/httpdocs/wp/wp-includes/capabilities.php on line 1373

    Removing the plugin folder allowed the site to load. I'm running WP 3.4.1 in multisite mode with numerous plugins including JetPack. It would take a while to determine which plugin was in conflict with PollDaddy, but it seems a recent change in polldaddy has caused the problem. Six plugins were updated on my site today at the same time when the problem occurred. I had to remove all six not knowing which was triggering the fatal error. I added each one back in one by one to conclude that PollDaddy was the culprit.

    I guess I could remove the other five recently updated plugins to see if the site will run with just polldaddy, but seeing the other messages here, it looks like the error is within polldaddy.

    The other five plugins updated at the same time are:
    network-plugin-auditor
    custom-post-type-ui
    blog templates
    google document embedder
    disqus comment system

    The other error I got that only appears once is:
    PHP Fatal error: require(): Failed opening required '/var/www/vhosts/mydomainname/httpdocs/wp/wp-content/plugins/polldaddy/ajax.php' (include_path='.:') in /var/www/vhosts/mydomainname/httpdocs/wp/wp-content/plugins/polldaddy/polldaddy.php on line 4977

    BTW, did anyone else notice that Polldaddy is a large plugin. The folder is 50 MB on my server. The PO files take up a lot of space.

    Reverted back to the previous version of PollDaddy (2.0.13) for the time being appears to work.

    I did not expect to see this happen with an AutoMattic sponsored plugin.

  9. halfey
    Member
    Posted 1 year ago #

    I discovered somewhat a solution to this problem, which is to delete both Polldaddy and Jetpack first, then reinstall Polldaddy and followed by JetPack.

  10. Donncha O Caoimh
    Member
    Plugin Author

    Posted 1 year ago #

    Sorry about that, we're going to get a new release out today fixing this.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags